Virtual Disk Manager Import Unmanaged Snapshot

Virtual Disk Manager Import Unmanaged Snapshot
Import an unmanaged-snapshot from Virtual-Volume(VVol) enabled Storage Array.

Import an unmanaged-snapshot from Virtual-Volume(VVol) enabled Storage Array.

Storage Array may support users to take snapshots independent of VMware stack. Such copies or snapshots are known as 'Unmanaged-Snapshots'. We are providing an ability to end-users to import such unmanaged-snapshots as Virtual Disks.

End-user needs to know the VVol-Identifier to import unmanaged snapshot as VirtualDisk.

Once VirtualDisk is created, user can use 'Datastore Browser' to use with rest of Virtual Machine provisioning APIs.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/VirtualDiskManager/{moId}/ImportUnmanagedSnapshot
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VirtualDiskManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ImportUnmanagedSnapshotRequestType of type(s) application/json
Required

Show optional properties

{
    "vdisk": "string",
    "vvolId": "string"
}
{
    "vdisk": "string",
    "datacenter": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "vvolId": "string"
}
string
vdisk
Required

- The name of the disk to import, either a datastore path or a URL referring to the virtual disk from which to get geometry information.

datacenter
Optional

If vdisk is a datastore path, the datacenter for that datastore path. Not needed when invoked directly on ESX. If not specified on a call to VirtualCenter, vdisk must be a URL.

string
vvolId
Required

- unmanaged snapshot identifier

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

NotFound: if VVol is not found

InvalidDatastore: if the operation cannot be performed on the datastore.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"vdisk":"string","vvolId":"string"}' https://{api_host}/sdk/vim25/{release}/VirtualDiskManager/{moId}/ImportUnmanagedSnapshot